
package jerarquiaherencia;

import encapsuladoras.Tomo;
import java.util.List;

public class Libro extends Publicacion {
    
    private String ISBN;
    List<Tomo> listaVolumenes;

    public String getISBN() {
        return ISBN;
    }

    public void setISBN(String ISBN) {
        this.ISBN = ISBN;
    }
    
    @Override
    public void setExtension(Object informacionExtension) {
        listaVolumenes = (List<Tomo>)informacionExtension;   
    }
    
    @Override
    public Object getExtension() {
        return listaVolumenes;   
    }    
    
    public int getNumeroVolumenes() {
        return listaVolumenes.size();
    }
}
